%global rbname gnome2

Summary: a set of Ruby language bindings for the GNOME 2.0 development environment
Name: ruby-%{rbname}

%global momorel 5

Version: 0.9.1
Release: %{momorel}m
Group: Development/Libraries
License: GPL
URL: http://ruby-gnome2.sourceforge.net/

%NoSource 0 http://telia.dl.sourceforge.net/sourceforge/%{name}/%{name}-all-%{version}.tar.gz f778424f30b98374d136c13a8234aebf

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires(build): atk-devel >= 1.0
BuildRequires(build): libgda-devel >= 1.0.3
BuildRequires(build): gtkglext-devel >= 1.0.3
BuildRequires(build): libgnome-devel >= 2.0.0
BuildRequires(build): libgnomecanvas-devel >= 2.0.0
BuildRequires(build): libgnomeui-devel >= 2.0.0
BuildRequires(build): libgtkhtml-devel >= 2.2.0
BuildRequires(build): gstreamer-devel >= 0.6.2
BuildRequires(build): ruby-devel >= 1.8.0

Requires: ruby-opengl

%description
This is a set of bindings for the GNOME-2.0 libraries for use from
Ruby.

To use them, you will need Ruby-1.8 and glib-2.0.0, gtk+-2.0.0,
pango-1.1.0, gconf2-1.2.0, libgnome-2.0.0, libart_lgpl-2.3.12,
libgnomecanvas-2.0.0, libgnomeui-2.0.0, libglade-2.0.0,
gnome-vfs-2.2.3, gstreamer-0.6.2, libgtkhtml-2.2.0, libgda-1.0.3, atk-1.0  or later installed
on your system.  Keep in mind that you will need both the runtime
libraries and the header files installed.

Ruby-GNOME2 is now include below libraries:
  * Ruby/GLib2
  * Ruby/GdkPixbuf2
  * Ruby/Pango
  * Ruby/GTK2
  * Ruby/GNOME2
  * Ruby/GnomeCanvas2
  * Ruby/Libart2
  * Ruby/Libglade2
  * Ruby/GConf2
  * Ruby/GnomeVFS
  * Ruby/GStreamer
  * Ruby/GtkHtml2
  * Ruby/GtkGLExt
  * Ruby/Libgda
  * Ruby/Atk

%package devel
Summary: a set of Ruby language bindings for the GNOME 2.0 development environment
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: ruby-devel
Requires: glib-devel >= 2.0.0
Requires: gtk+-devel >= 2.0.0

%description devel
This is a set of bindings for the GNOME-2.0 libraries for use from
Ruby.

To use them, you will need Ruby-1.8 and glib-2.0.0, gtk+-2.0.0,
pango-1.1.0, gconf2-1.2.0, libgnome-2.0.0, libart_lgpl-2.3.12,
libgnomecanvas-2.0.0, libgnomeui-2.0.0, libglade-2.0.0,
gnome-vfs-2.2.3, gstreamer-0.6.2, libgtkhtml-2.2.0, libgda-1.0.3, atk-1.0 or later installed
on your system.  Keep in mind that you will need both the runtime
libraries and the header files installed.

Ruby-GNOME2 is now include below libraries:
  * Ruby/GLib2
  * Ruby/GdkPixbuf2
  * Ruby/Pango
  * Ruby/GTK2
  * Ruby/GNOME2
  * Ruby/GnomeCanvas2
  * Ruby/Libart2
  * Ruby/Libglade2
  * Ruby/GConf2
  * Ruby/GnomeVFS
  * Ruby/GStreamer
  * Ruby/GtkHtml2
  * Ruby/GtkGLExt
  * Ruby/Libgda
  * Ruby/Atk

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n %{name}-all-%{version}

function setup_documents() {
  name=$1
  %__mkdir_p documents/${name}
  for file in COPYING.LIB ChangeLog* README*; do
    if [ -f ${name}/${file} ]; then
      %__cp -p ${name}/${file} documents/${name}
    fi
  done
  for directory in sample tests; do
    if [ -d ${name}/${directory} ]; then
      %__cp -pr ${name}/${directory} documents/${name}
    fi
  done
}

setup_documents gconf
setup_documents gdkpixbuf
setup_documents glib
setup_documents gnome
setup_documents gnomecanvas
setup_documents gnomevfs
setup_documents gstreamer
setup_documents gtk
setup_documents gtkglext
setup_documents gtkhtml2
setup_documents libart
setup_documents libgda
setup_documents libglade
setup_documents pango
setup_documents atk

find . -name CVS | xargs rm -rf

find . -type f \
  | xargs ruby -I . -i -p -e "
sub(%r|^#!\\s*/usr/local/bin|, '#! %{_bindir}')
sub(%r|/usr/local/bin/ruby|, '%{_bibdir}/ruby')
"

%build
ruby extconf.rb
make sitedir=%{_libdir}/ruby

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install \
  BINDIR=%{buildroot}%{_bindir} \
  sitedir=%{buildroot}%{_libdir}/ruby

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README* NEWS
%doc documents/*
# Ruby/GConf2
%{ruby_libdir}/gconf2.rb
%{ruby_archdir}/gconf2.so
# Ruby/GdkPixbuf2
%{ruby_libdir}/gdk_pixbuf2.rb
%{ruby_archdir}/gdk_pixbuf2.so
# Ruby/GLib2
%{ruby_libdir}/glib2.rb
%{ruby_archdir}/glib2.so
# Ruby/GNOME2
%{ruby_libdir}/gnome2.rb
%{ruby_archdir}/gnome2.so
# Ruby/GnomeCanvas2
%{ruby_libdir}/gnomecanvas2.rb
%{ruby_archdir}/gnomecanvas2.so
# Ruby/GnomeVFS
%{ruby_libdir}/gnomevfs.rb
%{ruby_archdir}/gnomevfs.so
# Ruby/GStreamer
#%{ruby_libdir}/gst.rb
#%{ruby_archdir}/gst.so
# Ruby/GTK2
%{ruby_libdir}/gtk2.rb
%{ruby_archdir}/gtk2.so
%{ruby_archdir}/gtk20.so
%{ruby_archdir}/gtk22.so
# Ruby/GtkGLExt
%{ruby_libdir}/gtkglext.rb
%{ruby_archdir}/gtkglext.so
# Ruby/GtkHtml2
%{ruby_libdir}/gtkhtml2.rb
%{ruby_archdir}/gtkhtml2.so
# Ruby/Libart2
%{ruby_archdir}/libart2.so
# Ruby/Libgda
%{ruby_libdir}/libgda.rb
%{ruby_archdir}/libgda.so
# Ruby/Libglade2
%{_bindir}/ruby-glade-create-template
%{ruby_libdir}/libglade2.rb
%{ruby_archdir}/libglade2.so
# Ruby/Pango
%{ruby_libdir}/pango.rb
%{ruby_archdir}/pango.so
# Ruby/Atk
%{ruby_libdir}/atk.rb
%{ruby_archdir}/atk.so

%files devel
%defattr(-,root,root)
%{ruby_libdir}/mkmf-gnome2.rb
%{ruby_archdir}/rb*.h

%changelog
* Fri Apr 23 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.1-5m)
- rebuild against gstreamer-0.8.1
- omit gstreamer library temporarily 

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.9.1-4m)
- rebuild against for libxml2-2.6.8
- rebuild against for libxslt-1.1.5

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.9.1-2m)
- revised spec for rpm 4.2.

* Mon Mar 15 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.9.1-1m)
- update to version 0.9.1

* Thu Dec 25 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.8.1-2m)
- rebuild against postgresql-7.4.1

* Mon Dec 22 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8.1-1m)
- version 0.8.1.

* Mon Dec 22 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8.0-2m)
- rebuild against libgda.

* Mon Nov 17 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8.0-1m)
- version up.

* Mon Sep 08 2003 Kenta MURATA <muraken2@nifty.com>
- (0.7.0-2m)
- add sample script of gtkglext.

* Sun Sep 07 2003 Kenta MURATA <muraken2@nifty.com>
- (0.7.0-1m)
- version up.

* Thu Aug 14 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.0-2m)
- ruby-glade-create-template

* Sun Aug 10 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.0-1m)
- version up.

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.0-3m)
- merge from ruby-1_8-branch.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.0-2m)
- merge from HEAD.
- apply patch for ruby-1.8.0.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.0-1m)
- version up.

* Fri Jun 13 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.0-3m)
- rebuild against for gconf.

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.0-2m)
- rebuild against for XFree86-4.3.0

* Sun Mar 23 2003 Kenta MURATA <muraken2@nifty.com>
- (0.4.0-1m)
- version up.

* Sun Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.3.0-2m)
  rebuild against openssl 0.9.7a

* Mon Feb 10 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.3.0-1m)
- version up.

* Wed Jan 15 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-3m)
- apply patch for GtkClipboard collision bug.

* Wed Jan 15 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-2m)
- release up.

* Sun Dec 29 2002 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-1m)
- version up.

* Wed Dec 18 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.1-2m)
- i586-linux -> *-linux

* Mon Dec 16 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1-1m)
- initial revision
